%define name stunnel
%define version 3.20
%define release 1mdk

Name:		%{name}
Summary:	Program that wraps normal socket connections with SSL/TLS
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.stunnel.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	openssl-devel >= 0.9.5, tcp_wrappers-devel
Requires:	openssl >= 0.9.5a

%description
The stunnel program is designed to work as SSL encryption wrapper between 
remote clients and local (inetd-startable) or remote servers. The concept is 
that having non-SSL aware daemons running on your system you can easily set 
them up to communicate with clients over secure SSL channels.

stunnel can be used to add SSL functionality to commonly used inetd daemons 
like POP-2, POP-3, and IMAP servers, to standalone daemons like NNTP, SMTP 
and HTTP, and in tunneling PPP over network sockets without changes to the 
source code.

 
%prep
%setup -q

%build
%configure --with-ssl=/usr \
	--with-pem-dir=%{_sysconfdir}/stunnel \
	--localstatedir=/var/run \
	--with-tcp-wrappers

echo -e "\n\n\n\n\n\n" | make
make stunnel.html


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_libdir} \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT%{_sysconfdir}/stunnel \
	$RPM_BUILD_ROOT/var/openssl/certs/trusted \
	$RPM_BUILD_ROOT/var/run/stunnel

install -m 755 -s stunnel $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 -s stunnel.so $RPM_BUILD_ROOT%{_libdir}
install -m 644 stunnel.8 $RPM_BUILD_ROOT%{_mandir}/man8


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
echo "To build a new pem, execute the following OpenSSL command:"
echo "    openssl req -new -x509 -days 365 -nodes \ "
echo "    -config /usr/share/doc/stunnel-%{version}/stunnel.cnf \ "
echo "    -out %{_sysconfdir}/stunnel/stunnel.pem -keyout %{_sysconfdir}/stunnel/stunnel.pem"
echo ""

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay HISTORY INSTALL README TODO FAQ
%doc stunnel.html doc/*
%doc ca.html ca.pl importCA.html importCA.sh stunnel.cnf
%{_sbindir}/stunnel
%{_libdir}/stunnel.so
%{_mandir}/man8/stunnel.8.*
%dir /var/openssl/certs/trusted
%dir %{_sysconfdir}/stunnel
%dir /var/run/stunnel

%changelog
* Sat Aug 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.20-1mdk
- New and shiny source.

* Tue Jul 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.15-1mdk
- Bump up a new and shiny source.
- Explicitly specify compile with tcpwrappers in configure.

* Thu Mar 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.14-2mdk
- added openssl-devel and tcp_wrappers-devel in BuildRequires.
- use --localstatedir=/var/run.

* Mon Feb 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.14-1mdk
- Bump up to 3.14.

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.13-1mdk
- updated to 3.13

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.11-1mdk
- new and shiny source code.
- fix build as non-root.
- s/%%buildroot/$RPM_BUILD_ROOT/
- added some rm -rf $RPM_BUILD_ROOT along the way to make build a lot more sane.
- fix non-interactive build.

* Tue Dec 19 2000 Vincent Danen <vdanen@linux-mandrake.com> 3.9-1mdk
- macros
- fix url
- make default pem dir to be /etc/stunnel
- 3.9 (big security fix!!)

* Thu Apr 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 3.8-1mdk
- build for Mandrake

* Wed Jul 14 1999 Dirk O. Siebnich <dok@vossnet.de>
- updated for 3.5.

* Mon Jun 07 1999 Dirk O. Siebnich <dok@vossnet.de>
- adapted from sslwrap RPM spec file
